from tkinter import *
import os
from PIL import Image, ImageTk

class Application:

	def __init__(self):

		#creer la fenetre
		self.window = Tk()
		self.window.title("SIR model - Cellular automata")
		self.window.geometry("1080x720")
		self.window.resizable(width=0, height=0)
		self.window.config(background='#009CDD')
		self.window.iconbitmap("Polytech_Angers.ico")

		#inserer l'image
		self.canvas = Canvas(self.window,width=1080,height=84,bg='white')

		self.img = Image.open("polytech.png")
		self.image = ImageTk.PhotoImage(self.img.resize((336,84),4))
		self.item = self.canvas.create_image(912,42,image=self.image)

		self.img2 = Image.open("title.png")
		self.image2 = ImageTk.PhotoImage(self.img2.resize((429,54),1))
		self.item2 = self.canvas.create_image(215,40,image=self.image2)

		self.canvas.pack(side='top')

		#creer les bouton
		self.bouton1=Button(self.window,text='SIR model',command=lambda :self.cmd_modele_sir(),height=2,width=25,fg='#004A75',font = ('Sans','30','bold')).pack(expand=YES)
		self.bouton2=Button(self.window,text='Cellular automata',command=lambda :self.cmd_automates_cellulaires(),height=2,width=25,fg='#004A75',font = ('Sans','30','bold')).pack(expand=YES)
		self.bouton3=Button(self.window,text='Help',command=lambda :self.cmd_aide(),height=2,width=25,fg='#004A75',font = ('Sans','30','bold')).pack(expand=YES)
		self.bouton4=Button(self.window,text='Quit',command=lambda :self.quitter(),height=2,width=25,fg='#004A75',font = ('Sans','30','bold')).pack(expand=YES)

		#zone de texte
		self.label = Label(self.window,bg='#009CDD')
		self.label.configure(text = "Réda JALALI - 3A SAGI ©2020")
		self.label.pack(side='bottom')

	def cmd_modele_sir(self):
		os.system("python3 modele_sir.py")

	def cmd_automates_cellulaires(self):
		os.system("python3 automates_cellulaires.py")

	def cmd_aide(self):
		os.system("python3 aide.py")

	def quitter(self):
		self.window.destroy()


if __name__ == "__main__":
    app=Application()
    app.window.mainloop()